Bug 1177071 - Review Request: publican-icaro - Common documentation files for Icaro
Summary: Review Request: publican-icaro - Common documentation files for Icaro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-24 03:47 UTC by William Moreno
Modified: 2015-01-26 02:39 UTC (History)
2 users (show)

Fixed In Version: publican-icaro-0.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 02:39:47 UTC
e: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description William Moreno 2014-12-24 03:47:07 UTC
Spec URL: https://williamjmorenor.fedorapeople.org/rpmdev/publican-icaro.spec
SRPM URL: https://williamjmorenor.fedorapeople.org/rpmdev/publican-icaro-0.1-1.fc21.src.rpm
Description: Documentation brand for icaro
Fedora Account System Username: williamjmorenor

Please note:
1- Brand current suport only for es-ES lang, if you want to test the brand please do:

publican create --name=prueba --brand=icaro --lang=es-ES --type=book

cd prueba

publican build --formats=pdf,html --langs=es-ES

You will get a pdf file and a website under /prueba/temp with the Icaro brand

2-I am using the %license macro you can see https://fedorahosted.org/fpc/ticket/411#comment:17 about it

Build in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8469590

Comment 1 Eduardo Mayorga 2015-01-08 21:52:58 UTC
Why the copyright in the licence gives credit to this person?

Copyright (C) 2004 Sam Hocevar <sam@hocevar.net>

Comment 2 William Moreno 2015-01-12 17:25:04 UTC
Sorry

But I don't understand you, can you tell me where did you find this string?

Comment 3 Eduardo Mayorga 2015-01-12 19:00:35 UTC
The LICENSE file included in the tarball states the copyright holder is Sam Hocevar, while you are supposed to be upstream to this package, right? 

Otherwise, the package looks fine. Please the clarify the copyright issue.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: publican-icaro-0.1-1.fc21.noarch.rpm
          publican-icaro-0.1-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@localhost /]# rpmlint publican-icaro
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
]0;<mock-chroot><mock-chroot>[root@localhost /]# echo 'rpmlint-done:'



Requires
--------
publican-icaro (rpmlib, GLIBC filtered):
    publican



Provides
--------
publican-icaro:
    publican-icaro



Source checksums
----------------
https://williamjmorenor.fedorapeople.org/publican-icaro-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : fc013b583d337a38cb844a17754e8e71e1b8a9b242bba07935afb12bc40fb053
  CHECKSUM(SHA256) upstream package : fc013b583d337a38cb844a17754e8e71e1b8a9b242bba07935afb12bc40fb053

Comment 4 William Moreno 2015-01-12 21:07:28 UTC
New Package SCM Request
=======================
Package Name: publican-icaro
Short Description: Common documentation files for Icaro
Upstream URL:  http://roboticaro.org/
Owners: williamjmorenor
Branches: f21 master
InitialCC: williamjmorenor

Comment 5 Gwyn Ciesla 2015-01-13 00:57:28 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-13 03:10:35 UTC
publican-icaro-0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/publican-icaro-0.1-1.fc21

Comment 7 Fedora Update System 2015-01-14 07:29:57 UTC
publican-icaro-0.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2015-01-26 02:39:47 UTC
publican-icaro-0.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.